- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axutil_qname.h File Reference

represents a qualified name More...

`#include <axutil_utils_defines.h>`
`#include <axutil_env.h>`
`#include <axutil_string.h>`

Go to the source code of this file.

## Typedefs
typedef struct axutil_qname | axutil_qname_t
## Functions
AXIS2_EXTERN axutil_qname_t * | axutil_qname_create (const axutil_env_t *env, const axis2_char_t *localpart, const axis2_char_t *namespace_uri, const axis2_char_t *prefix)
AXIS2_EXTERN axutil_qname_t * | axutil_qname_create_from_string (const axutil_env_t *env, const axis2_char_t *string)
AXIS2_EXTERN void | axutil_qname_free (struct axutil_qname *qname, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axutil_qname_equals (const struct axutil_qname *qname, const axutil_env_t *env, const struct axutil_qname *qname1)
AXIS2_EXTERN struct axutil_qname * | axutil_qname_clone (struct axutil_qname *qname, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axutil_qname_get_uri (const struct axutil_qname *qname, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axutil_qname_get_prefix (const struct axutil_qname *qname, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axutil_qname_get_localpart (const struct axutil_qname *qname, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axutil_qname_to_string (struct axutil_qname *qname, const axutil_env_t *env)

## Detailed Description

represents a qualified name